import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import java.util.ArrayList;

public class MessreiheErzeugungTest {

  @Test
  public void testMessreiheMitOrtErzeugen() {
    Messreihe m = new Messreihe("Ort");
    Assertions.assertTrue(
        m.getMesswerte().isEmpty()
        , "Konstruktor sollte leere Messwertliste erzeugen");
    Assertions.assertTrue(
        m.getMessort().equals("Ort")
        , "Konstruktor sollte Messort \"Ort\" sich merken. gefunden wurde "
            + m.getMessort());
  }

  @Test
  public void testMessreiheOhneOrtErzeugen() {
    Messreihe m = new Messreihe();
    Assertions.assertTrue(
        m.getMesswerte().isEmpty()
        , "Konstruktor sollte leere Messwertliste erzeugen");
  }

  @Test
  public void testGetSetMessort() {
    Messreihe m = new Messreihe();
    m.setMessort("Ort");
    Assertions.assertTrue(
        m.getMessort().equals("Ort")
        , "setMessort sollte Messort \"Ort\" sich merken. gefunden wurde "
            + m.getMessort());
  }

  @Test
  public void testGetSetMesswerte() {
    Messreihe m = new Messreihe();
    ArrayList<Integer> tmp = new ArrayList<Integer>();
    m.setMesswerte(tmp);
    Assertions.assertTrue(
        m.getMesswerte() == tmp
        , "setMesswerte sollte sich leere Liste merken. gefunden wurde "
            + m.getMesswerte()); // soll identisch (Referenz) sein
  }
}
